Bug 126355 - Firewire crash in slab.c
Firewire crash in slab.c
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-19 20:52 EDT by Bastien Nocera
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:14:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2004-06-19 20:52:53 EDT
Description of problem:
Ooops, when plugging in an iPod

Version-Release number of selected component (if applicable):
2.6.6-1.434

How reproducible:
After the nth Firewire device plug

  
Actual results:
ieee1394: Node changed: 0-01:1023 -> 0-00:1023
ieee1394: Node suspended: ID:BUS[0-00:1023]  GUID[000a270002079634]
slab error in kmem_cache_destroy(): cache `scsi_cmd_cache': Can't free
all objects
 [<02131bd4>] kmem_cache_destroy+0x87/0xf7
 [<228992d6>] scsi_destroy_command_freelist+0x6e/0x7f [scsi_mod]
 [<22899f23>] scsi_host_dev_release+0x56/0x6e [scsi_mod]
 [<021da221>] device_release+0x11/0x40
 [<0219076b>] kobject_cleanup+0x40/0x60
 [<22a3c917>] sbp2_remove_device+0x2d/0x16d [sbp2]
 [<22a3c3cc>] sbp2_remove+0x12/0x16 [sbp2]
 [<021db068>] device_release_driver+0x3c/0x46
 [<229c0c42>] nodemgr_suspend_ne+0xbd/0xea [ieee1394]
 [<229c0e69>] nodemgr_probe_ne+0x4e/0x5e [ieee1394]
 [<229c0ed2>] nodemgr_node_probe+0x59/0x94 [ieee1394]
 [<229c1155>] nodemgr_host_thread+0xcb/0x149 [ieee1394]
 [<229c108a>] nodemgr_host_thread+0x0/0x149 [ieee1394]
 [<021041d9>] kernel_thread_helper+0x5/0xb
 
ieee1394: Node changed: 0-00:1023 -> 0-01:1023
ieee1394: Node changed: 0-01:1023 -> 0-00:1023
ieee1394: Node changed: 0-00:1023 -> 0-01:1023
ieee1394: Node changed: 0-01:1023 -> 0-00:1023
ieee1394: Error parsing configrom for node 0-00:1023
ieee1394: Error parsing configrom for node 0-01:1023
ieee1394: The root node is not cycle master capable; selecting a new
root node and resetting...
ieee1394: Node resumed: ID:BUS[0-00:1023]  GUID[000a270002079634]
ieee1394: Node changed: 0-00:1023 -> 0-01:1023
kmem_cache_create: duplicate cache scsi_cmd_cache
------------[ cut here ]------------
kernel BUG at mm/slab.c:1403!
invalid operand: 0000 [#1]
Modules linked in: nls_utf8 nls_cp437 vfat fat sd_mod sbp2 snd_pcm_oss
snd_mixer_oss snd_intel8x0 snd_ac97_codec snd_pcm snd_timer
snd_page_alloc gameport snd_mpu401_uart snd_rawmidi snd_seq_device snd
soundcore binfmt_misc rfcomm l2cap bluetooth sunrpc atmel_cs atmel ds
yenta_socket pcmcia_core sg scsi_mod microcode ohci1394 ieee1394
joydev dm_mod ehci_hcd ohci_hcd button battery asus_acpi ac ipv6 ext3 jbd
CPU:    0
EIP:    0060:[<02131a12>]    Not tainted
EFLAGS: 00010202   (2.6.6-1.434)
EIP is at kmem_cache_create+0x3b1/0x42a
eax: 02296b96   ebx: 03549180   ecx: 0236d758   edx: 228a0dd4
esi: 228a0de3   edi: 228a0de3   ebp: 035492f0   esp: 1fe6bec8
ds: 007b   es: 007b   ss: 0068
Process knodemgrd_0 (pid: 1487, threadinfo=1fe6b000 task=1fc81230)
Stack: ff000000 228a0dd4 00000080 217e2800 228ada20 228ada48 217e280c
228991f3
       00002000 00000000 00000000 000001d4 217e2800 217e29d4 22a40420
2289a0ea
       1fc813d8 fa6df06e 000085d0 00000246 00000000 1fe6bf1c 1fe6bf1c
00000000
Call Trace:
 [<228991f3>] scsi_setup_command_freelist+0x61/0xd6 [scsi_mod]
 [<2289a0ea>] scsi_host_alloc+0x1af/0x269 [scsi_mod]
 [<22a3c57b>] sbp2_alloc_device+0x140/0x18e [sbp2]
 [<22a3c39a>] sbp2_probe+0x19/0x39 [sbp2]
 [<021daf2d>] bus_match+0x27/0x45
 [<021daf88>] device_attach+0x3d/0x77
 [<021db29a>] bus_rescan_devices_helper+0xe/0x18
 [<021daded>] bus_for_each_dev+0x75/0xb5
 [<021db2bc>] bus_rescan_devices+0x18/0x1f
 [<021db28c>] bus_rescan_devices_helper+0x0/0x18
 [<229c0f06>] nodemgr_node_probe+0x8d/0x94 [ieee1394]
 [<229c1155>] nodemgr_host_thread+0xcb/0x149 [ieee1394]
 [<229c108a>] nodemgr_host_thread+0x0/0x149 [ieee1394]
 [<021041d9>] kernel_thread_helper+0x5/0xb
 
Code: 0f 0b 7b 05 13 6b 29 02 8b 6d 00 8b 45 00 0f 18 00 90 81 fd
Comment 1 Dave Jones 2005-01-14 00:15:51 EST
this should be working fine in the latest 2.6.10 updates ?
Comment 2 Dave Jones 2005-04-16 00:14:47 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.